import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:gap/gap.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/core/styles/app_images.dart';
import 'package:tanami_app/core/styles/app_text.dart';
import 'package:tanami_app/shared/components/text_widget.dart';

class TopSection extends StatelessWidget {
  final String fromScreen;
  const TopSection({
    super.key,
    required this.fromScreen,
  });

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        const Gap(85),
        Center(
          child: SvgPicture.asset(
            AppImages.welcomeLogo,
          ),
        ),
        const Gap(60),
        TextWidget().text20W700(
          AppText.welcomeText,
          clr: AppColor.charcoalColor,
        ),
        const Gap(10),
        Padding(
          padding: const EdgeInsets.symmetric(horizontal: 75),
          child: TextWidget().text14W500(
            fromScreen == "forgot-pin"
                ? AppText.toGetYourAccountPleaseSetYourInfo
                : AppText.pleaseEnterLoginDetails,
            clr: AppColor.smokeGrayColor,
          ),
        ),
      ],
    );
  }
}
